查询报表型数据明细 - ASIN
POST
/erp/sc/routing/fbaSug/asin/getSourceList支持查询FBA补货建议ASIN维度报表明细,可以获取模拟在途库存、在途模拟到达时间
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/fbaSug/asin/getSourceList | HTTPS | POST | 1 |
请求参数
sidinteger必填asinstring必填typestringmodestring请求示例
{
"sid": 136,
"asin": "B0xxxxxxxx",
"type": "3",
"mode": "1"
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsstring必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
modestring必填source_listarray<object>必填隐藏子属性
quantityobject必填typeobject必填amazon_sale_datestring必填remarkobject必填隐藏子属性
mskustringafn_fulfillable_quantitystringreserved_fc_transfersstringreserved_fc_processingstringshipment_idstringwarehouse_namestringskustringfnskustringqc_snstringpurchase_order_snstringplan_snobjectoverseas_order_nostringlogistics_namestringdeliver_timestringexpect_arrive_timestring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "B3A4ABBA-A31D-C81B-95E6-7D0FCF514C81",
"response_time": "2021-11-11 17:50:45",
"data": {
"mode": "1",
"source_list": [
{
"quantity": 10,
"quantity_second": 0,
"type": 6,
"remark": {
"plan_sn": "PP211026009"
},
"amazon_sale_date": "2022-01-19",
"expect_arrive_time": ""
},
{
"quantity": 10,
"quantity_second": 0,
"type": 5,
"remark": {
"purchase_order_sn": "PO211106009"
},
"amazon_sale_date": "2022-01-15",
"expect_arrive_time": ""
},
{
"quantity": 20,
"quantity_second": 0,
"type": 5,
"remark": {
"purchase_order_sn": "PO211026015"
},
"amazon_sale_date": "2022-01-04",
"expect_arrive_time": ""
},
{
"quantity": 1,
"quantity_second": 0,
"type": 5,
"remark": {
"purchase_order_sn": "PO211021050"
},
"amazon_sale_date": "2021-12-30",
"expect_arrive_time": ""
},
{
"quantity": 23,
"quantity_second": 0,
"type": 5,
"remark": {
"purchase_order_sn": "PO211021035"
},
"amazon_sale_date": "2021-12-30",
"expect_arrive_time": ""
},
{
"quantity": 3,
"quantity_second": 0,
"type": 5,
"remark": {
"purchase_order_sn": "PO211021059"
},
"amazon_sale_date": "2021-12-23",
"expect_arrive_time": "2021-10-03"
},
{
"quantity": 10,
"quantity_second": 0,
"type": 3,
"remark": {
"warehouse_name": "仓库1",
"sku": "SKUFAEB955",
"fnsku": "FND27C594"
},
"amazon_sale_date": "2021-12-20",
"expect_arrive_time": ""
},
{
"quantity": 2,
"quantity_second": 0,
"type": 3,
"remark": {
"warehouse_name": "宝安第一仓",
"sku": "新版12",
"fnsku": ""
},
"amazon_sale_date": "2021-12-20",
"expect_arrive_time": ""
},
{
"quantity": 20,
"quantity_second": 0,
"type": 3,
"remark": {
"warehouse_name": "仓库1",
"sku": "新版12",
"fnsku": ""
},
"amazon_sale_date": "2021-12-20",
"expect_arrive_time": ""
},
{
"quantity": 2,
"quantity_second": 0,
"type": 9,
"remark": {
"overseas_order_no": "OWS211104002",
"warehouse_name": "仓库8",
"logistics_name": "",
"deliver_time": "2021-11-04 14:41:03"
},
"amazon_sale_date": "2021-12-14",
"expect_arrive_time": ""
},
{
"quantity": 10000,
"quantity_second": 0,
"type": 8,
"remark": {
"warehouse_name": "仓库11",
"sku": "SKUFAEB955",
"fnsku": ""
},
"amazon_sale_date": "2021-12-10",
"expect_arrive_time": ""
},
{
"quantity": 9720,
"quantity_second": 0,
"type": 8,
"remark": {
"warehouse_name": "仓库11",
"sku": "SKUFAEB955",
"fnsku": "FN477C98E"
},
"amazon_sale_date": "2021-12-10",
"expect_arrive_time": ""
},
{
"quantity": 21600,
"quantity_second": 0,
"type": 8,
"remark": {
"warehouse_name": "仓库11",
"sku": "SKUFAEB955",
"fnsku": "FND27C594"
},
"amazon_sale_date": "2021-12-10",
"expect_arrive_time": ""
},
{
"quantity": 100,
"quantity_second": 0,
"type": 8,
"remark": {
"warehouse_name": "西邮智仓 美国洛杉矶",
"sku": "SKUFAEB955",
"fnsku": ""
},
"amazon_sale_date": "2021-12-10",
"expect_arrive_time": ""
},
{
"quantity": 1,
"quantity_second": 0,
"type": 8,
"remark": {
"warehouse_name": "哈哈哈",
"sku": "新版12",
"fnsku": ""
},
"amazon_sale_date": "2021-12-10",
"expect_arrive_time": ""
},
{
"quantity": 159300,
"quantity_second": 0,
"type": 5,
"remark": {
"purchase_order_sn": "PO210409003"
},
"amazon_sale_date": "2021-06-24",
"expect_arrive_time": ""
},
{
"quantity": 40010,
"quantity_second": 0,
"type": 5,
"remark": {
"purchase_order_sn": "PO210413004"
},
"amazon_sale_date": "2021-06-24",
"expect_arrive_time": ""
}
]
},
"total": 0
}